Core - Task # 56285

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL
Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-02-25 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-19 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subiject: Impexp: Links to sys_file (file:uid) fail on import (link fields and rte)

Description

Related issues:
related to Core - Task # 56089: Impexp: add test scenarios for RTE with image... Resolved 2014-02-18
related to Core - Task # 56286: Impexp: Do not include processed images from ... Resolved 2014-02-25

Associated revisions

Revision 7be59356 - 2014-03-19 10:44 - Marc Bastian Heinrichs

[BUGFIX] Fix impexp with images in RTE and links to files

This patch fixes the import and export of RTE contents
including images and links to files as well as softreference
links to files (file:{uid}) and adds functional tests

for this use cases.

Resolves: #56089

Resolves: #56285

Related: #56286

Releases: 6.2

Change-Id: 129312b304d265581bf9f35bdc2692a19d2df5a93
Reviewed-on: https://review.typo3.org/28105

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2014-02-26 13:55 - Marc Bastian Heinrichs
- Subject changed from Impexp: Links to sys_file in rte fail on import to Impexp: Links to sys_file (file:uid) fail on import (link fields and rte)

#2 - 2014-02-27 10:29 - Marc Bastian Heinrichs
- Status changed from New to Accepted

#3 - 2014-03-06 15:18 - Gerrit Code Review

- Status changed from Accepted to Under Review
https://review.typo3.org/28105

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/28105

#4 - 2014-03-06 15:33 - Marc Bastian Heinrichs
- % Done changed from 0 to 80

#5 - 2014-03-10 17:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28105

#6 - 2014-03-12 15:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28105

#7 - 2014-03-17 22:34 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28105

#8 - 2014-03-17 22:37 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28105

#9 - 2014-03-19 11:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 80 to 100

Applied in changeset commit:7be59356441866d54b3eea5511cec227a8e6464f.
